import { TListResult } from "./table";
export type TListHeaderSectionProps = {
    result?: TListResult | undefined;
    currentRecord?: Record<string, any>;
    onClickCreateButton?: (record: Record<string, any>) => void;
    renderCategories?: (onClose?: () => void) => any;
    onSubmitSearch?: (keywords: string) => void;
    hideSearch?: boolean;
    onRefresh?: () => void;
    onClickToggleTagsButton?: () => void;
    onClickFilterButton?: () => void;
    showTags?: boolean;
    cancelSearch?: string | number;
    entity: Record<string, any>;
    createButtonText?: string;
    query?: Record<string, any>;
    exportProps?: string[];
    hideSearchService?: boolean;
    hideEntityIcon?: boolean;
    hideCategoriesButton?: boolean;
    hideCreateButton?: boolean;
    hideExportButton?: boolean;
};
export declare const ListHeaderSection: ((props: TListHeaderSectionProps) => JSX.Element) & {
    displayName: string;
};
export default ListHeaderSection;
